Pylons Project Contributor Agreement
====================================

The submitter agrees by adding his or her name within the section below named
"Contributors" and submitting the resulting modified document to the
canonical shared repository location for this software project (whether
directly, as a user with "direct commit access", or via a "pull request"), he
or she is signing a contract electronically.  The submitter becomes a
Contributor after a) he or she signs this document by adding their name
beneath the "Contributors" section below, and b) the resulting document is
accepted into the canonical version control repository.

Treatment of Account
---------------------

Contributor will not allow anyone other than the Contributor to use his or
her username or source repository login to submit code to a Pylons Project
source repository. Should Contributor become aware of any such use,
Contributor will immediately notify Agendaless Consulting.
Notification must be performed by sending an email to
webmaster@agendaless.com.  Until such notice is received, Contributor will be
presumed to have taken all actions made through Contributor's account. If the
Contributor has direct commit access, Agendaless Consulting will have
complete control and discretion over capabilities assigned to Contributor's
account, and may disable Contributor's account for any reason at any time.

Legal Effect of Contribution
----------------------------

Upon submitting a change or new work to a Pylons Project source Repository (a
"Contribution"), you agree to assign, and hereby do assign, a one-half
interest of all right, title and interest in and to copyright and other
intellectual property rights with respect to your new and original portions
of the Contribution to Agendaless Consulting. You and Agendaless Consulting
each agree that the other shall be free to exercise any and all exclusive
rights in and to the Contribution, without accounting to one another,
including without limitation, the right to license the Contribution to others
under the Repoze Public License. This agreement shall run with title to the
Contribution. Agendaless Consulting does not convey to you any right, title
or interest in or to the Program or such portions of the Contribution that
were taken from the Program. Your transmission of a submission to the Pylons
Project source Repository and marks of identification concerning the
Contribution itself constitute your intent to contribute and your assignment
of the work in accordance with the provisions of this Agreement.

License Terms
-------------

Code committed to the Pylons Project source repository (Committed Code) must
be governed by the Repoze Public License (http://repoze.org/LICENSE.txt, aka
"the RPL") or another license acceptable to Agendaless Consulting.  Until
Agendaless Consulting declares in writing an acceptable license other than
the RPL, only the RPL shall be used.  A list of exceptions is detailed within
the "Licensing Exceptions" section of this document, if one exists.

Representations, Warranty, and Indemnification
----------------------------------------------

Contributor represents and warrants that the Committed Code does not violate
the rights of any person or entity, and that the Contributor has legal
authority to enter into this Agreement and legal authority over Contributed
Code. Further, Contributor indemnifies Agendaless Consulting against
violations.

Cryptography
------------

Contributor understands that cryptographic code may be subject to government
regulations with which Agendaless Consulting and/or entities using Committed
Code must comply. Any code which contains any of the items listed below must
not be checked-in until Agendaless Consulting staff has been notified and has
approved such contribution in writing.

- Cryptographic capabilities or features

- Calls to cryptographic features

- User interface elements which provide context relating to cryptography

- Code which may, under casual inspection, appear to be cryptographic.

Notices
-------

Contributor confirms that any notices required will be included in any
Committed Code.

Licensing Exceptions
====================

Code committed within the ``docs/`` subdirectory of the Pyramid source
control repository and "docstrings" which appear in the documentation
generated by running "make" within this directory is licensed under the
Creative Commons Attribution-Noncommercial-Share Alike 3.0 United States
License (http://creativecommons.org/licenses/by-nc-sa/3.0/us/).

List of Contributors
====================

The below-signed are contributors to a code repository that is part of the
project named "Pyramid".  Each below-signed contributor has read, understand
and agrees to the terms above in the section within this document entitled
"Pylons Project Contributor Agreement" as of the date beside his or her name.

Contributors
------------

- Chris McDonough, 2010/11/08

- Tres Seaver, 2010/11/09

- Ben Bangert, 2010/11/09

- Blaise Laflamme, 2010/11/09

- Chris Rossi, 2010/11/10

- Casey Duncan, 2010/12/27

- Rob Miller, 2010/12/28

- Marius Gedminas, 2010/12/31

- Marcin Lulek, 2011/01/02

- John Shipman, 2011/01/15

- Wichert Akkerman, 2011/01/19

- Christopher Lambacher, 2011/02/12

- Malthe Borch, 2011/02/28

- Carlos de la Guardia, 2011/03/29

- Joel Bohman, 2011/04/16

- Juliusz Gonera, 2011/04/17

- Philip Jenvey, 2011/04/24

- Michael Merickel, 2011/5/25

- Christoph Zwerschke, 2011/06/07

- Atsushi Odagiri, 2011/07/02

- Shane Hathaway, 2011/07/22

- Manuel Hermann, 2011/07/11

- Richard Barrell, 2011/11/07

- Chris Shenton, 2011/11/07

- Ken Manheimer, 2011/11/07

- Reed O'Brien, 2011/11/07

- Klee Dienes, 2011/10/30

- Michael Ryabushin, 2011/12/14

- Mike Orr, 2012/02/14

- Paul M. Winkler, 2012/02/22

- Martijn Pieters, 2012/03/02

- Steve Piercy, 2012/03/27

- Wayne Witzel III, 2012/03/27

- Marin Rukavina, 2012/05/03

- Lorenzo M. Catucci, 2012/06/08

- Marc Abramowitz, 2012/06/13

- Brian Sutherland, 2012/06/16

- Jeff Cook, 2012/06/16

- Ian Wilson, 2012/06/17

- Roman Kozlovskyi, 2012/08/11

- Domen Kozar, 2012/09/11

- David Gay, 2012/09/16

- Robert Jackiewicz, 2012/11/12

- John Anderson, 2012/11/14

- Bert JW Regeer, 2013/02/01

- Georges Dubus, 2013/03/21

- Jason McKellar, 2013/03/28

- Luke Cyca, 2013/05/30

- Laurence Rowe, 2013/04/24

- Julian P. Glass, 2013/08/10

- Junaid Ali, 2013/08/10

- Chris Davies, 2013/08/11

- Jonathan Villemaire-Krajden, 2013/08/13

- Charlie Clark, 2013/08/15

- Tom Lazar, 2013/08/15

- Andreas Zeidler, 2013/08/15

- Matthew Wilkes, 2013/08/23

- Takahiro Fujiwara, 2013/08/28

- Doug Hellmann, 2013/09/06

- Karl O. Pinc, 2013/09/27

- Matthew Russell, 2013/10/14

- Antti Haapala, 2013/11/15

- Amit Mane, 2014/01/23

- Fenton Travers, 2014/05/06

- Randall Leeds, 2014/11/11

- Hugo Branquinho, 2014/11/25

- Adrian Teng, 2014/12/17

- Ilja Everila, 2015/02/05

- Geoffrey T. Dairiki, 2015/02/06

- David Glick, 2015/02/12

- Donald Stufft, 2015/03/15

- Randy Topliffe, 2015/04/14

- Timur Izhbulatov, 2015/04/14

- Karen Dalton, 2015/06/01

- Igor Stroh, 2015/06/10

- Jesse Dhillon, 2015/10/07

- Amos Latteier, 2015/10/22

- Rami Chousein, 2015/10/28

- Sri Sanketh Uppalapati, 2015/12/12

- Marcin Raczyński, 2016/01/26

- Arian Maykon de A. Diógenes, 2016/04/13

- Vincent Férotin, 2016/05/08

- Berker Peksag, 2016/05/16

- Zack Brunson, 2016/06/02

- Marco Martinez, 2016/06/02

- Cris Ewing, 2016/06/03

- Jean-Christophe Bohin, 2016/06/13

- Dariusz Gorecki, 2016/07/15

- Jon Davidson, 2016/07/18

- Keith Yang, 2016/07/22

- Hannah Krager, 2016/10/22

- Moriyoshi Koizumi, 2016/11/20

- Mikko Ohtamaa, 2016/12/6

- Jure Cerjak, 2016/12/7

- Martin Frlin, 2016/12/7

- Kirill Kuzminykh, 2017/03/01

- Charlie Choiniere, 2017/04/03

- Aleph Melo, 2017/04/16

- Jeremy(Ching-Rui) Chen, 2017/04/19

- Russell Ballestrini, 2017/05/06

- Fang-Pen Lin, 2017/05/22

- Volker Diels-Grabsch, 2017/06/09

- Denis Rykov, 2017/06/15

- Tosh Lyons, 2017/06/27

- Lars Blumberg, 2017/08/14

- Deneys Maartens, 2017/11/03

- Heron Rossi, 2018/03/08

- Hunter Senft-Grupp, 2018/05/14

- Junhak Lee, 2018/05/14

- Alex Gaynor, 2018/05/24

- Jason Williams, 2018/06/11

- Benjamin Gmurczyk, 2018/06/14

- Stephen Martin, 2018/09/04

- Kuzma Leshakov, 2018/09/07

- Colin Dunklau, 2018/09/19

- Alexandre Yukio Harano, 2018/10/05

- Eric Atkin, 2019/02/15

- Arijit Basu, 2019/02/19

- Theron Luhn, 2019/03/30

- Mandar Vaze, 2019/07/20

- Jonathan Vanasco, 2019/11/05

- Jan Likar, 2019/11/07

- Andrea Borghi, 2019/11/11

- Sergey Maranchuk, 2020/04/18

- Thibault Ravera, 2020/06/03

- Jens Troeger, 2021/04/08

- Camill Kaipf, 2022/08/12

- Karthikeyan Singaravelan, 2021/08/24
